Need Help with DJI Go / Litchi

Joined
Sep 6, 2016
Messages
52
Reaction score
32
Age
60
Here is the back story. I have had a Phantom 4 Pro since 2016. I had many stability problems with DJI Go so I made a bunch of changes to my NVida K1 tablet and software to fix it. Rooted the tab, turned off DJI auto updates to name the big things, and I have been flying using that old version of DJI Go and Litchi with no problems or glitches at all since 2017. Problem is I just lost the motherboard on the tablet and all the software. K1 tablet is now fixed and rooted and ready to install DJI Go.

I have no idea what version of DJI Go I was running. Question is, I need to reinstall DJI Go and Litchi, and reload the controller software to match and don't know what version to install that is stable? Is there a way to find out what version I had? Can someone recommend a version I should install? No way I want anything new. One side note. I never did figure out how to get Google Maps back working which would be nice. TIA.
 
If you downloaded DJIGo from the AppStore, wouldn't it still be available to download it again from iTunes? Just a shot in the dark here.......just guessing.

I too run an extremely old version of DJIGo, but it is for a P3.

You might be able to find more info on msinger's site 'Phantomhelp.com'. Just be sure to select the Phantom 4 Pro section. Good luck.......

Edit: Did a little digging. On the 'Phantomhelp' site listed above......go to Phantom4 Pro........then scroll way down the page to "DJI." There you will find listings for old versions of DJI Go. Hope this helps.
 
Last edited:
  • Like
Reactions: RodPad
If you downloaded DJIGo from the AppStore, wouldn't it still be available to download it again from iTunes? Just a shot in the dark here.......just guessing.

I too run an extremely old version of DJIGo, but it is for a P3.

You might be able to find more info on msinger's site 'Phantomhelp.com'. Just be sure to select the Phantom 4 Pro section. Good luck.......

Edit: Did a little digging. On the 'Phantomhelp' site listed above......go to Phantom4 Pro........then scroll way down the page to "DJI." There you will find listings for old versions of DJI Go. Hope this helps.
Good suggestion. I will head over there. What version are you running?
 
Here is the back story. I have had a Phantom 4 Pro since 2016. I had many stability problems with DJI Go so I made a bunch of changes to my NVida K1 tablet and software to fix it. Rooted the tab, turned off DJI auto updates to name the big things, and I have been flying using that old version of DJI Go and Litchi with no problems or glitches at all since 2017. Problem is I just lost the motherboard on the tablet and all the software. K1 tablet is now fixed and rooted and ready to install DJI Go.

I have no idea what version of DJI Go I was running. Question is, I need to reinstall DJI Go and Litchi, and reload the controller software to match and don't know what version to install that is stable? Is there a way to find out what version I had? Can someone recommend a version I should install? No way I want anything new. One side note. I never did figure out how to get Google Maps back working which would be nice. TIA.
For a Phantom 4 pro, you need DJI Go 4.
Any version should work properly.
But your K1 tablet is stone age and expecting it to run properly might not be realistic.
It's the tablet I started flying with way back ten years ago.
 
  • Like
Reactions: RodPad
For a Phantom 4 pro, you need DJI Go 4.
Any version should work properly.
But your K1 tablet is stone age and expecting it to run properly might not be realistic.
It's the tablet I started flying with way back ten years ago.
Any recommendation on Android Tablet that won't break the bank?
 
  • Like
Reactions: RodPad
Any recommendation on Android Tablet that won't break the bank?

Sadly no, the GO4 app needed a bit more power than the old Nvidia K1 (was a dam good tablet in its day) so you will need something with decent spec,
see the link below
also you need as said GO4 not the GO app, you can use APKMIRROR site to get the version you need, as for Litchi thats on the playstore

 
  • Like
Reactions: RodPad
Here is the back story. I have had a Phantom 4 Pro since 2016. I had many stability problems with DJI Go so I made a bunch of changes to my NVida K1 tablet and software to fix it. Rooted the tab, turned off DJI auto updates to name the big things, and I have been flying using that old version of DJI Go and Litchi with no problems or glitches at all since 2017. Problem is I just lost the motherboard on the tablet and all the software. K1 tablet is now fixed and rooted and ready to install DJI Go.

I have no idea what version of DJI Go I was running. Question is, I need to reinstall DJI Go and Litchi, and reload the controller software to match and don't know what version to install that is stable? Is there a way to find out what version I had? Can someone recommend a version I should install? No way I want anything new. One side note. I never did figure out how to get Google Maps back working which would be nice. TIA.
I am no Apple fanboy. But I have to say that all of my iPads have been extremely stable. Honestly, I would find a cheaper, older iPad on eBay and be done with it.

Go 4 App v3.1.1 is the best version. Run that. I've been running Go 4 with my P4P almost as long as you have with nary an issue. Both platforms have been rock solid. I can't speak for Litchi, as I don't use it.

D
 
  • Like
Reactions: RodPad
@Harleydude

I'm not crApple fan ether.
But I have an Android just for texting tests.
My personal mobile devices are crApple.

My wife went for a mac laptop, few years ago, she likes it..
After 3 months, she didn't ask me for help.

Where is the right click! :) 👌

Rod ..
 
  • Like
Reactions: Harleydude
@Harleydude

I'm not crApple fan ether.
But I have an Android just for texting tests.
My personal mobile devices are crApple.

My wife went for a mac laptop, few years ago, she likes it..
After 3 months, she didn't ask me for help.

Where is the right click! :) 👌

Rod ..
And where's the "Backspace" button??? Why can't I delete characters IN FRONT of my text??? Who invented this crap??? LOL...

D
 
  • Love
Reactions: RodPad
No $hit!

Rod ..
 
Having P4P you should buy the original remote with screen built in.
I have never had any problems with flying and I have it more than 6 y.
 
Having P4P you should buy the original remote with screen built in.
I have never had any problems with flying and I have it more than 6 y.
I have the P4P that uses the iPad and I can boast the same. Just as many years...100% reliability.

I don't like having all my eggs in one basket, so I believe it's better to go with a component-based platform than to have everything married to one unit. JM2C.

D
 
  • Like
Reactions: captainmilehigh

Recent Posts

Members online

Forum statistics

Threads
143,189
Messages
1,468,346
Members
105,096
Latest member
Andrew6669